Bug 547988 - Review Request: kpilot - Sync PIM data with PalmOS devices
Review Request: kpilot - Sync PIM data with PalmOS devices
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-16 04:44 EST by Kevin Kofler
Modified: 2010-01-22 13:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-22 13:31:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2009-12-16 04:44:43 EST
Spec URL: http://repo.calcforge.org/f13/kpilot.spec
SRPM URL: http://repo.calcforge.org/f13/kpilot-5.3.0-1.fc13.src.rpm
Description:
Utility to synchronize PIM (Personal Information Management) data with PalmOS devices.

This package was part of kdepim until 4.3.4. It is being dropped from kdepim 4.4, so I'm packaging it as a standalone package, based on the last kdepim release which carried it (4.3.4).

dist-f13 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1874593
Comment 1 Kevin Kofler 2009-12-16 04:45:29 EST
rdieter said he'll do the review.
Comment 2 Rex Dieter 2009-12-16 09:05:48 EST
I'll look at this today, sure (perhaps swap reviews for bug #547916 )
Comment 3 Rex Dieter 2009-12-16 11:17:23 EST
rpmlint:
kpilot.src: E: summary-too-long Utility to synchronize PIM (Personal Information Management) data with PalmOS devices
kpilot.src: E: description-line-too-long Utility to synchronize PIM (Personal Information Management) data with PalmOS devices.
$ rpmlint *src.rpm x86_64/*.rpm
kpilot.src: E: summary-too-long Utility to synchronize PIM (Personal Information Management) data with PalmOS devices
kpilot.src: E: description-line-too-long Utility to synchronize PIM (Personal Information Management) data with PalmOS devices.
error checking signature of kpilot-5.3.0-1.fc13.src.rpm
kpilot.x86_64: E: summary-too-long Utility to synchronize PIM (Personal Information Management) data with PalmOS devices
kpilot.x86_64: E: description-line-too-long Utility to synchronize PIM (Personal Information Management) data with PalmOS devices.
kpilot.x86_64: E: invalid-soname /usr/lib64/libkpilot_akonadibase.so libkpilot_akonadibase.so
kpilot.x86_64: E: invalid-soname /usr/lib64/libkpilot_conduit_base.so libkpilot_conduit_base.so
3 packages and 0 specfiles checked; 6 errors, 0 warnings.

Summary is longish, perhaps omit the "Utility to" part at the beginning?

sources: ok
a4f32a268802be8eb852d1de00cbd2f6  kdepim-4.3.4.tar.bz2

license: ok

scriptlets: ok

deps: ok


Suggestions (consider these SHOULD items, can be addressed post-review):

1.  make -libs package to be more multilib friendly

2.  Add (something like):
%if 0%{?fedora} < 13
Conflicts: kdepim < 6:4.3.80
%endif


Otherwise, looks good, APPROVED.
Comment 4 Kevin Kofler 2009-12-16 11:24:29 EST
Uh, KPilot is an application, why would you want to install it multilib?
Comment 5 Rex Dieter 2009-12-16 14:36:00 EST
You don't, but... anything matching %{_libdir}/lib*.so.* is automatically multilib'd, for better or worse.
Comment 6 Kevin Kofler 2009-12-16 15:16:14 EST
But multilibs aren't installed by default unless some 32-bit apps drags them in. If someone tweaks their yum configuration to install everything multilib, they get what they deserve. ;-)

Anyway, I can add a -libs subpackage if you really think it's useful.
Comment 7 Rex Dieter 2009-12-16 15:23:32 EST
I think -libs is best, avoids possible multilib conflicts that way.
Comment 8 Kevin Kofler 2009-12-16 15:45:12 EST
New Package CVS Request
=======================
Package Name: kpilot
Short Description: Sync PIM data with PalmOS devices
Owners: kkofler than rdieter ltinkl jreznik arbiter mathstuf
Branches: F-11 F-12
InitialCC: tuxbrewr

(I'll address the suggested improvements after importing.)
Comment 9 Kevin Fenzi 2009-12-21 14:51:50 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.